## ros-noetic-rqt-common-plugins 0.4.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_common_plugins)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-rqt-common-plugins (0.4.9-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#459 <https://github.com/ros-visualization/rqt_common_plugins/issues/459>)
  * convert to package format 2 (#455 <https://github.com/ros-visualization/rqt_common_plugins/issues/455>)
  * Contributors: Alejandro Hernández Cordero, Mikael Arguedas

 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 14 May 2020 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.4.8-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 28 Apr 2017 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.4.7-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 02 Mar 2017 08:00:00 -0000

ros-noetic-rqt-common-plugins (0.4.6-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 27 Feb 2017 08:00:00 -0000

ros-noetic-rqt-common-plugins (0.4.5-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 03 Feb 2017 08:00:00 -0000

ros-noetic-rqt-common-plugins (0.4.4-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 24 Jan 2017 08:00:00 -0000

ros-noetic-rqt-common-plugins (0.4.3-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 02 Nov 2016 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.4.2-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 19 Sep 2016 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.4.1-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 16 May 2016 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.4.0-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 27 Apr 2016 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.13-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 08 Mar 2016 08:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.12-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 24 Jul 2015 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.11-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 30 Apr 2015 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.10-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 01 Oct 2014 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.9-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 18 Aug 2014 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.8-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 15 Jul 2014 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.7-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 11 Jul 2014 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.6-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 02 Jun 2014 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.5-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 07 May 2014 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.4-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 28 Jan 2014 08:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.3-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 08 Jan 2014 08:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.2-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 14 Oct 2013 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.1-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 09 Oct 2013 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.3.0-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 28 Aug 2013 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.2.17-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 04 Jul 2013 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.2.16-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 09 Apr 2013 20:33:00 -0000

ros-noetic-rqt-common-plugins (0.2.15-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 09 Apr 2013 07:02:00 -0000

ros-noetic-rqt-common-plugins (0.2.14-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 14 Mar 2013 07:00:00 -0000

ros-noetic-rqt-common-plugins (0.2.13-1focal) focal; urgency=high

  * New pkgs added (rqt_action, rqt_launch)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 12 Mar 2013 05:14:00 -0000

ros-noetic-rqt-common-plugins (0.2.12-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 11 Mar 2013 20:56:00 -0000

ros-noetic-rqt-common-plugins (0.2.11-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 08 Mar 2013 08:00:00 -0000

ros-noetic-rqt-common-plugins (0.2.10-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 22 Jan 2013 08:00:00 -0000

ros-noetic-rqt-common-plugins (0.2.9-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 17 Jan 2013 08:00:00 -0000

ros-noetic-rqt-common-plugins (0.2.8-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 11 Jan 2013 08:00:00 -0000

ros-noetic-rqt-common-plugins (0.2.7-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 24 Dec 2012 08:00:00 -0000

ros-noetic-rqt-common-plugins (0.2.6-1focal) focal; urgency=high

  * first release of this package into groovy

 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 23 Dec 2012 08:00:00 -0000

=== debian/control ===
Source: ros-noetic-rqt-common-plugins
Section: misc
Priority: optional
Maintainer: Aaron Blasdel <ablasdel@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/rqt_common_plugins
Standards-Version: 3.9.2

Package: ros-noetic-rqt-common-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rqt-action, ros-noetic-rqt-bag, ros-noetic-rqt-bag-plugins, ros-noetic-rqt-console, ros-noetic-rqt-dep, ros-noetic-rqt-graph, ros-noetic-rqt-image-view, ros-noetic-rqt-launch, ros-noetic-rqt-logger-level, ros-noetic-rqt-msg, ros-noetic-rqt-plot, ros-noetic-rqt-publisher, ros-noetic-rqt-py-common, ros-noetic-rqt-py-console, ros-noetic-rqt-reconfigure, ros-noetic-rqt-service-caller, ros-noetic-rqt-shell, ros-noetic-rqt-srv, ros-noetic-rqt-top, ros-noetic-rqt-topic, ros-noetic-rqt-web
Description: rqt_common_plugins metapackage provides ROS backend graphical tools suite that can be used on/off of robot runtime.
 To run any rqt plugins, just type in a single command &quot;rqt&quot;, then select any plugins you want from the GUI that launches afterwards. rqt consists of three following metapackages: rqt - core modules of rqt (ROS GUI) framework. rqt plugin developers barely needs to pay attention to this metapackage. rqt_common_plugins (you're here!) rqt_robot_plugins - rqt plugins that are particularly used with robots during their runtime.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-common-plugins//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
